OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions | Private Attributes
NetworkHTTPContentConnecter Class Reference

Connect with a HTTP server and do ONE query. More...

`#include <tcp_http.h>`

Inheritance diagram for NetworkHTTPContentConnecter:

## Public Member Functions
| NetworkHTTPContentConnecter (const NetworkAddress &address, HTTPCallback *callback, const char *url, const char *data=NULL, int depth=0)
| Start the connecting.
| ~NetworkHTTPContentConnecter ()
| Free all our allocated data.
virtual void | OnFailure ()
virtual void | OnConnect (SOCKET s)

## Private Attributes
HTTPCallback * | callback
| Callback to tell that we received some data (or won't).
const char * | url
| The URL we want to get at the server.
const char * | data
| The data to send.
int | depth
| How far we have recursed.

## Additional Inherited Members
Private Member Functions inherited from TCPConnecter
| TCPConnecter (const NetworkAddress &address)
| Create a new connecter for the given address.
virtual | ~TCPConnecter ()
| Silence the warnings.
virtual void | OnConnect (SOCKET s)
| Callback when the connection succeeded.
virtual void | OnFailure ()
| Callback for when the connection attempt failed.
Static Private Member Functions inherited from TCPConnecter
static void | CheckCallbacks ()
| Check whether we need to call the callback, i.e.
static void | KillAll ()
| Kill all connection attempts.

## Detailed Description

Connect with a HTTP server and do ONE query.

Definition at line 79 of file tcp_http.h.

## Constructor & Destructor Documentation

NetworkHTTPContentConnecter::NetworkHTTPContentConnecter | ( | const NetworkAddress & | address,
|  | HTTPCallback * | callback,
|  | const char * | url,
|  | const char * | data = `NULL`,
|  | int | depth = `0`
| ) |  |
| inline

Start the connecting.

Parameters

  address | the address to connect to
  callback | the callback for HTTP retrieval
  url | the url at the server
  data | the data to send
  depth | the depth (redirect recursion) of the queries

Definition at line 94 of file tcp_http.h.

NetworkHTTPContentConnecter::~NetworkHTTPContentConnecter | ( |  | ) |
| inline

Free all our allocated data.

Definition at line 106 of file tcp_http.h.

References free(), and url.

The documentation for this class was generated from the following file:

- src/network/core/tcp_http.h